﻿namespace CreateLabel_ML
{
    using System;
    using System.Collections.Generic;

    using System.Globalization;
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;

    public partial class AttributesRespuestaCotizacion99Minutos
    {
        [JsonProperty("message")]
        public List<Message> Message { get; set; }
    }

    public partial class Message
    {
        [JsonProperty("title")]
        public string Title { get; set; }

        [JsonProperty("deliveryType")]
        public DeliveryType DeliveryType { get; set; }

        [JsonProperty("packageSize")]
        public string PackageSize { get; set; }

        [JsonProperty("cost")]
        public string Cost { get; set; }

        [JsonProperty("currency")]
        public string Currency { get; set; }
    }

    public partial class DeliveryType
    {
        [JsonProperty("code", NullValueHandling = NullValueHandling.Ignore)]
        public long? Code { get; set; }

        [JsonProperty("description", NullValueHandling = NullValueHandling.Ignore)]
        public string Description { get; set; }
    }

    //public partial class AttributesRespuestaCotizacion99Minutos
    //{
    //    public static AttributesRespuestaCotizacion99Minutos FromJson(string json) => JsonConvert.DeserializeObject<AttributesRespuestaCotizacion99Minutos>(json, CreateLabel_ML.Converter.Settings);
    //}

    //public static class Serialize
    //{
    //    public static string ToJson(this AttributesRespuestaCotizacion99Minutos self) => JsonConvert.SerializeObject(self, CreateLabel_ML.Converter.Settings);
    //}

    //internal static class Converter
    //{
    //    public static readonly JsonSerializerSettings Settings = new JsonSerializerSettings
    //    {
    //        MetadataPropertyHandling = MetadataPropertyHandling.Ignore,
    //        DateParseHandling = DateParseHandling.None,
    //        Converters =
    //        {
    //            new IsoDateTimeConverter { DateTimeStyles = DateTimeStyles.AssumeUniversal }
    //        },
    //    };
    //}
}
