﻿using System;
using System.Collections.Generic;

namespace CreateLabel_ML
{
   public class Attributes
   {
      public string status { get; set; }
      public DateTime created_at { get; set; }
      public DateTime updated_at { get; set; }
      public string length { get; set; }
      public string height { get; set; }
      public string width { get; set; }
      public string weight { get; set; }
      public string mass_unit { get; set; }
      public string distance_unit { get; set; }
      public string amount_local { get; set; }
      public string currency_local { get; set; }
      public string provider { get; set; }
      public string service_level_name { get; set; }
      public string service_level_code { get; set; }
      public object service_level_terms { get; set; }
      public int? days { get; set; }
      public object duration_terms { get; set; }
      public object zone { get; set; }
      public object arrives_by { get; set; }
      public bool? out_of_area { get; set; }
      public string out_of_area_pricing { get; set; }
      public string total_pricing { get; set; }
      public string name { get; set; }
      public string company { get; set; }
      public string address1 { get; set; }
      public string address2 { get; set; }
      public string city { get; set; }
      public string province { get; set; }
      public string zip { get; set; }
      public string country { get; set; }
      public string phone { get; set; }
      public string email { get; set; }
   }

   public class Data
   {
      public string id { get; set; }
      public string type { get; set; }
      public Attributes attributes { get; set; }
      public Relationships relationships { get; set; }
   }

   public class ParcelRespuestaSrEnvios
   {
      public Data data { get; set; }
   }

   public class Rates
   {
      public List<Data> data { get; set; }
   }

   public class AddressToRespuestaSrEnvios
   {
      public Data data { get; set; }
   }

   public class AddressFromRespuestaSrEnvios
   {
      public Data data { get; set; }
   }

   public class Label
   {
      public object data { get; set; }
   }

   public class Relationships
   {
      public ParcelRespuestaSrEnvios parcel { get; set; }
      public Rates rates { get; set; }
      public AddressToRespuestaSrEnvios address_to { get; set; }
      public AddressFromRespuestaSrEnvios address_from { get; set; }
      public Label label { get; set; }
   }

   public class Included
   {
      public string id { get; set; }
      public string type { get; set; }
      public Attributes attributes { get; set; }
   }

   public class clsRespuestaSrEnvios
   {
      public Data data { get; set; }
      public List<Included> included { get; set; }
   }
}
